> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /openweathermap/weather

> Get current weather, minute precipitation, hourly and daily forecast, and alerts for a point

**Price:** 1 credit



## OpenAPI

````yaml /openapi/developer-data.json post /api/openweathermap/weather
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/openweathermap/weather:
    post:
      tags:
        - /openweathermap
      summary: /openweathermap/weather
      description: >-
        Get current weather, minute precipitation, hourly and daily forecast,
        and alerts for a point


        **Price:** 1 credit
      operationId: __api_openweathermap_weather_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpenweathermapPointPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OpenweathermapWeather'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OpenweathermapPointPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        lat:
          type: number
          maximum: 90
          minimum: -90
        lon:
          type: number
          maximum: 180
          minimum: -180
        units:
          $ref: '#/components/schemas/OpenweathermapUnits'
          default: metric
      type: object
      required:
        - lat
        - lon
    OpenweathermapWeather:
      properties:
        '@type':
          type: string
          default: OpenweathermapWeather
        lat:
          type: number
        lon:
          type: number
        timezone:
          anyOf:
            - type: string
            - type: 'null'
        timezone_offset:
          anyOf:
            - type: integer
            - type: 'null'
        current:
          anyOf:
            - $ref: '#/components/schemas/OpenweathermapCurrent'
            - type: 'null'
        minutely:
          items:
            $ref: '#/components/schemas/OpenweathermapMinute'
          type: array
          default: []
        hourly:
          items:
            $ref: '#/components/schemas/OpenweathermapHour'
          type: array
          default: []
        daily:
          items:
            $ref: '#/components/schemas/OpenweathermapDay'
          type: array
          default: []
        alerts:
          items:
            $ref: '#/components/schemas/OpenweathermapAlert'
          type: array
          default: []
      type: object
      required:
        - lat
        - lon
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    OpenweathermapUnits:
      type: string
      enum:
        - metric
        - imperial
        - standard
    OpenweathermapCurrent:
      properties:
        '@type':
          type: string
          default: OpenweathermapCurrent
        observed_at:
          anyOf:
            - type: integer
            - type: 'null'
        sunrise:
          anyOf:
            - type: integer
            - type: 'null'
        sunset:
          anyOf:
            - type: integer
            - type: 'null'
        temp:
          anyOf:
            - type: number
            - type: 'null'
        feels_like:
          anyOf:
            - type: number
            - type: 'null'
        pressure:
          anyOf:
            - type: number
            - type: 'null'
        humidity:
          anyOf:
            - type: number
            - type: 'null'
        dew_point:
          anyOf:
            - type: number
            - type: 'null'
        uvi:
          anyOf:
            - type: number
            - type: 'null'
        clouds:
          anyOf:
            - type: number
            - type: 'null'
        visibility:
          anyOf:
            - type: number
            - type: 'null'
        wind_speed:
          anyOf:
            - type: number
            - type: 'null'
        wind_deg:
          anyOf:
            - type: number
            - type: 'null'
        wind_gust:
          anyOf:
            - type: number
            - type: 'null'
        rain_1h:
          anyOf:
            - type: number
            - type: 'null'
        snow_1h:
          anyOf:
            - type: number
            - type: 'null'
        conditions:
          items:
            $ref: '#/components/schemas/OpenweathermapCondition'
          type: array
          default: []
      type: object
    OpenweathermapMinute:
      properties:
        '@type':
          type: string
          default: OpenweathermapMinute
        forecast_at:
          anyOf:
            - type: integer
            - type: 'null'
        precipitation:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    OpenweathermapHour:
      properties:
        '@type':
          type: string
          default: OpenweathermapHour
        forecast_at:
          anyOf:
            - type: integer
            - type: 'null'
        temp:
          anyOf:
            - type: number
            - type: 'null'
        feels_like:
          anyOf:
            - type: number
            - type: 'null'
        pressure:
          anyOf:
            - type: number
            - type: 'null'
        humidity:
          anyOf:
            - type: number
            - type: 'null'
        dew_point:
          anyOf:
            - type: number
            - type: 'null'
        uvi:
          anyOf:
            - type: number
            - type: 'null'
        clouds:
          anyOf:
            - type: number
            - type: 'null'
        visibility:
          anyOf:
            - type: number
            - type: 'null'
        wind_speed:
          anyOf:
            - type: number
            - type: 'null'
        wind_deg:
          anyOf:
            - type: number
            - type: 'null'
        wind_gust:
          anyOf:
            - type: number
            - type: 'null'
        pop:
          anyOf:
            - type: number
            - type: 'null'
        rain_1h:
          anyOf:
            - type: number
            - type: 'null'
        snow_1h:
          anyOf:
            - type: number
            - type: 'null'
        conditions:
          items:
            $ref: '#/components/schemas/OpenweathermapCondition'
          type: array
          default: []
      type: object
    OpenweathermapDay:
      properties:
        '@type':
          type: string
          default: OpenweathermapDay
        forecast_at:
          anyOf:
            - type: integer
            - type: 'null'
        sunrise:
          anyOf:
            - type: integer
            - type: 'null'
        sunset:
          anyOf:
            - type: integer
            - type: 'null'
        moonrise:
          anyOf:
            - type: integer
            - type: 'null'
        moonset:
          anyOf:
            - type: integer
            - type: 'null'
        moon_phase:
          anyOf:
            - type: number
            - type: 'null'
        summary:
          anyOf:
            - type: string
            - type: 'null'
        temp:
          anyOf:
            - $ref: '#/components/schemas/OpenweathermapDayTemp'
            - type: 'null'
        feels_like:
          anyOf:
            - $ref: '#/components/schemas/OpenweathermapDayFeelsLike'
            - type: 'null'
        pressure:
          anyOf:
            - type: number
            - type: 'null'
        humidity:
          anyOf:
            - type: number
            - type: 'null'
        dew_point:
          anyOf:
            - type: number
            - type: 'null'
        wind_speed:
          anyOf:
            - type: number
            - type: 'null'
        wind_deg:
          anyOf:
            - type: number
            - type: 'null'
        wind_gust:
          anyOf:
            - type: number
            - type: 'null'
        clouds:
          anyOf:
            - type: number
            - type: 'null'
        pop:
          anyOf:
            - type: number
            - type: 'null'
        uvi:
          anyOf:
            - type: number
            - type: 'null'
        rain:
          anyOf:
            - type: number
            - type: 'null'
        snow:
          anyOf:
            - type: number
            - type: 'null'
        conditions:
          items:
            $ref: '#/components/schemas/OpenweathermapCondition'
          type: array
          default: []
      type: object
    OpenweathermapAlert:
      properties:
        '@type':
          type: string
          default: OpenweathermapAlert
        sender_name:
          anyOf:
            - type: string
            - type: 'null'
        event:
          anyOf:
            - type: string
            - type: 'null'
        start:
          anyOf:
            - type: integer
            - type: 'null'
        end:
          anyOf:
            - type: integer
            - type: 'null'
        tags:
          items:
            type: string
          type: array
          default: []
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    OpenweathermapCondition:
      properties:
        '@type':
          type: string
          default: OpenweathermapCondition
        id:
          anyOf:
            - type: integer
            - type: 'null'
        main:
          anyOf:
            - type: string
            - type: 'null'
        icon:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    OpenweathermapDayTemp:
      properties:
        '@type':
          type: string
          default: OpenweathermapDayTemp
        day:
          anyOf:
            - type: number
            - type: 'null'
        min:
          anyOf:
            - type: number
            - type: 'null'
        max:
          anyOf:
            - type: number
            - type: 'null'
        night:
          anyOf:
            - type: number
            - type: 'null'
        eve:
          anyOf:
            - type: number
            - type: 'null'
        morn:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    OpenweathermapDayFeelsLike:
      properties:
        '@type':
          type: string
          default: OpenweathermapDayFeelsLike
        day:
          anyOf:
            - type: number
            - type: 'null'
        night:
          anyOf:
            - type: number
            - type: 'null'
        eve:
          anyOf:
            - type: number
            - type: 'null'
        morn:
          anyOf:
            - type: number
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````